Skip to main content
`Ctrl`+`K`

# DMSwarmSetLocalSizes

Sets the length of all registered fields on the `DMSWARM`

## Synopsis

    #include "petscdmswarm.h"
    PetscErrorCode DMSwarmSetLocalSizes(DM sw, PetscInt nlocal, PetscInt buffer)

Not Collective

## Input Parameters

- sw - a `DMSWARM`

- nlocal - the length of each registered field

- buffer - the length of the buffer used to efficient dynamic re-sizing

## See Also

`DM`, `DMSWARM`, `DMSwarmGetLocalSize()`

## Level

beginner

## Location

src/dm/impls/swarm/swarm.c

## Examples

src/dm/tutorials/swarm_ex1.c
src/dm/tutorials/swarm_ex3.c
src/ts/tutorials/ex77.c
src/dm/tutorials/swarm_ex2.c
src/dm/tutorials/ex20.c
src/snes/tutorials/ex63.c
src/ksp/ksp/tutorials/ex70.c
src/dm/tutorials/ex21.c
src/dm/impls/swarm/tutorials/ex1f90.F90
src/dm/impls/swarm/tutorials/ex1.c

Index of all DMSwarm routines
Table of Contents for all manual pages
Index of all manual pages